# fn() guessFormatFromFilename
Guesses a file format from a sequence file name.

Defined in | <seqan/file.h>
Signature | `bool guessFormatFromFilename(fileName, formatTag);`

## Parameters

`fileName` | A filename of a sequence file.
`formatTag` | A file format tag.

## Return Values

`bool` | `true` if the format represented by `formatTag` was recognized in `fileName`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn guessFormatFromFilename
     *
     * @headerfile <seqan/file.h>
     *
     * @brief Guesses a file format from a sequence file name.
     *
     * @signature bool guessFormatFromFilename(fileName, formatTag);
     *
     * @param[in] fileName A filename of a sequence file.
     * @param[in] formatTag A file format tag.
     *
     * @return bool <tt>true</tt> if the format represented by <tt>formatTag</tt>
     *              was recognized in <tt>fileName</tt>.
     */